> ## Documentation Index
> Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Geolocation Targeting

> Geolocation targeting allows you to target specific locations based on `Country`, `City`, `State`, `ASN`, or `ZIP code`

## Country Targeting

You can target a specific country by adding a country code to your username, like `username-country-country_code`. Use only two-letter country codes in lowercase.

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us:<zone_password>
```

### Default countries' selection

In all Bright Data shared pool proxies: Datacenter, ISP, Residential and Mobile share pools (also known as "Rotating proxies") we offer a default country selection during zone configuration. When a country(s) is selected, Bright Data will attempt to allocate a peer from the selected default countries. The allocation sequence is as follows:&#x20;

If there are default countries configured:&#x20;

1. Select a random country from the **default countries** list.&#x20;

2. Attempt to allocate a peer in that country

3. If peer found: route request to the peer&#x20;

4. If peer not found: fail the request and reply with error

In case there are **no default countries selected,** Bright Data will allocate a random proxy peer from the pool and route the request through it.&#x20;

### EU Countries targeting

Bright Data proxy networks as well as our Web Unlocker allow random peer selection specifically from **EU-member countries** via the use of the `-country-eu` flag. When needing to target EU peers, this will improve success rates over targeting from just one EU country, while still keeping the peer within the EU.

## City Targeting

<Note> City targeting works best in Residential & Mobile proxies. City targeting in Datacenter & ISP proxies has deprecated and we do not recommend using it. </Note>

You can target a specific city within a country by adding a city name to the username, like `username-country-country_code-city-city_code`. The city\_codemust be in lowercase only and have no spaces, for example `-city-sanfrancisco`

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us-city-sanfrancisco:<zone_password>
```

## State Targeting

<Note> Residential proxies only </Note>

For relevant counties (e.g., USA and Australia), you can target a state within a country by adding to the `username-country-country_code-state-state_code`. Use only two-letter state codes in lowercase.

<CodeGroup>
  ```sh Country: USA theme={null}
  curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-us-state-ny:<zone_password> 
  ```

  ```sh Country: Australia theme={null}
  curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-country-au-state-wa:<zone_password>
  ```
</CodeGroup>

## ASN Targeting

<Note> Residential proxies only </Note>

You can target a specific ASN from the [list of ASNs](http://bgp.potaroo.net/cidr/autnums.html). Choosing an ASN country is done as following: -asn-ASN\_NUMBER

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-asn-56386:<zone_password>
```

## ZIP Code Targeting

<Note> Residential proxies only </Note>

You can target proxy peers by a ZIP code of a specific area. Here is an example of targeting an IP from Memphis, US and zip code 12345:

```sh Shell theme={null}
curl "https://example.com" --proxy brd.superproxy.io:33335 --proxy-user brd-customer-<customer_id>-zone-<zone_name>-city-memphis-zip-12345:<zone_password>
```
